{% extends "base.html.twig" %}
{% block body %}
<div class="alert alert-success d-none" role="alert">
  {{ l.profile_success }}
</div>
<div class="alert alert-danger d-none" role="alert">
  {{ l.profile_error }} <span class="error-message"></span>
</div>
<h1>{{ l.my_profile }}</h1>
<div class="form">
  <form id="profile_form">
    <div class="form-group row">
      <label class="col-3 col-form-label">{{ l.email }}:</label>
      <div class="col-9">
        {{ profile.email }}
      </div>
    </div>
    <div class="form-group row">
      <label class="col-3 col-form-label">{{ l.currency }}:</label>
      <div class="col-9">
        <select name="currency" class="form-control" id="currency">
          {% for key, value in currencies %}
          <option value="{{ value.id }}" {% if value.id == profile.currency %}selected{% endif %}>{{ value.symbol }} - {{ value.name }}</option>
          {% endfor %}
        </select>
      </div>
    </div>
    <div class="form-group row">
      <label class="col-3 col-form-label">{{ l.preflang }}:</label>
      <div class="preflang col-9">
        {% for key, value in langs %}
        <input type="radio" name="preflang" id="preflang-{{ value }}" value="{{ value }}" {% if profile.lang == value %}checked{% endif %}><label for="preflang-{{ value }}"><img src="{{ public_path }}/images/1x1/{{ value }}.svg" alt="{{ value }}"></label>
        {% endfor %}
      </div>
    </div>
    <div class="form-group row">
      <label for="rest_name" class="col-3 col-form-label">{{ l.rest_name }}:</label>
      <div class="col-9">
        <input type="text" name="rest_name" id="rest_name" class="form-control" value="{{ profile.rest_name }}" required>
      </div>
    </div>
    <div class="form-group row">
      <label for="rest_desc" class="col-3 col-form-label">{{ l.rest_desc }}:</label>
      <div class="col-9">
        <input type="text" name="rest_desc" id="rest_desc" class="form-control" value="{{ profile.rest_desc }}">
      </div>
    </div>
    <div class="form-group row">
      <label for="rest_footnote" class="col-3 col-form-label">{{ l.rest_footnote|nl2br }}:</label>
      <div class="col-9">
        <input type="text" name="rest_footnote" id="rest_footnote" value="{{ profile.rest_footnote }}" class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-secondary offset-3" type="submit" name="profile_save">{{ l.save }}</button>
    </div>
  </form>
</div>
{% endblock %}
